#!/usr/bin/perl -w
# this constructor sets the product name field, this can be re-used for
# different products by copying it to product.mod/constructor and changing
# the $product variable to the product name

use strict;
use lib qw( /usr/sausalito/perl );
use CCE;
use I18n;

my $product = 'carmel';

my $cce = new CCE(Domain => "base-$product");
my $i18n = new I18n;

$cce->connectuds();

# find the system object
my ($sysoid) = $cce->find("System");

if (not $sysoid) {
	# BIG PROBLEM no system object
	$cce->warn('noSystemObject');
	$cce->bye('FAIL', 'noSystemObject');
	exit 1;
}

# get admin user, so we have a locale to work with
my ($adminoid) = $cce->find("User", { 'name' => 'admin' });

if (not $adminoid){
	# PROBLEM there is no admin user fail
	$cce->warn('noAdminUser');
	$cce->bye('FAIL', 'noAdminUser');
	exit 1;
}

my ($ok, $admin) = $cce->get($adminoid);

if (not $ok) {
	# can't get admin user
	$cce->warn('cantGetAdmin');
	$cce->bye('FAIL', 'cantGetAdmin');
	exit 1;
}

$i18n->setLocale($admin->{localePreference});

my ($badkeys, @info);

($ok, $badkeys, @info) = $cce->set($sysoid, '', { 
	'productName' => $i18n->get("[[base-$product.productName]]"),
	'productVendor' => 'Cobalt'
	});

if (not $ok) {
	$cce->warn('cantSetProduct');
	$cce->bye('FAIL', 'cantSetProduct');
	exit 1;
} else {
	# $cce->info(@info);
	$cce->bye('SUCCESS');
	exit;
}
